# -*- coding: utf-8 -*-
%define	version	1.0b3
%define release alt1

%setup_python_module musicbrainz

Summary: Python binding for libmusicbrainz
Name: %packagename
Version: %version
Release: %release
Source: python-%modulename-%version-picard.tar.gz
License: GPL
Group: Development/Python
Prefix: %_prefix
Url: http://musicbrainz.org/
Summary(ru_RU.UTF-8): Обертка на Python для доступа к libmusicbrainz

Requires: python-module-ctypes
BuildRequires: python-module-ctypes

%description
This is a straight python to c binding for libmusicbrainz. It uses
ctypes to avoid having to write c code. This module is used primarily
within Picard - the next generation MusicBrainz tagger.

This module is built for python %__python_version

%description -l ru_RU.UTF-8
Этот модуль предоставляет достаточно простую и прямую обертку на
Python для библиотеки libmusicbrainz на C. Он использует ctypes, чтобы
не писать никакого дополнительного кода на C. Этот модуль в основном
предназначен для использования в Picard - тэггере MusicBrainz нового
поколения.

Этот модуль собран для Python версии %__python_version

%package -n python-%modulename-doc
Summary: %modulename example programs
Summary(ru_RU.UTF-8): Примеры программ для %modulename
Group: Development/Python
Prefix: %_prefix
Requires: python-%modulename = %version
%description -n  python-%modulename-doc
%modulename provides Python to C binding for libmusicbrainz. Install
python-%modulename-doc if you need examples for this module.

%description -n  python-%modulename-doc -l ru_RU.UTF-8
%modulename предоставляет оболочку Python для библиотеки
libmusicbrainz на C. Установите python-%modulename-doc, если Вам
требуются примеры программ с использованием данного модуля.

%prep

%setup -q -n python-%modulename-%version-picard

%build
mkdir -p buildroot

CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=`pwd`/buildroot \
		--record=INSTALLED_FILES
%install
%__mkdir_p %buildroot
cp -pr buildroot/* %buildroot

unset RPM_PYTHON

%files -f INSTALLED_FILES
%doc README COPYING

%files -n python-%modulename-doc
%doc examples

%changelog
* Sun May 15 2005 Mikhail Yakshin <greycat@altlinux.ru> 1.0b3-alt1
- Initial build for ALT Linux

